/* Overlay Background */
.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

/* Modal Window */
.modal {
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    max-width: 400px;
    width: 90%;
    z-index: 1001;
}

.modal-header {
    font-size: 1.5em;
    margin-bottom: 20px;
}

/* Form Styles */
.modal-form {
    display: flex;
    flex-direction: column;
}

.modal-form input,
.modal-form textarea,
.modal-form button {
    margin-bottom: 10px;
}

.modal-form button {
    padding: 10px;
    background-color: #5c6bc0;
    color: white;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s;
}

.modal-form button:hover {
    background-color: #3f51b5;
}

.modal-close {
    background: none;
    border: none;
    cursor: pointer;
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 1.2em;
}

/* Adjustments for smaller screens */
@media (max-width: 600px) {
    .modal {
        width: 95%;
        max-width: none;
    }
}